// Defining the pins
const int ledPin0 = 26;
const int ledPin1 = 0;
const int ledPin2 = 1;

void setup() {
  // Input button configuration
  Serial.begin(9600);
  
  // Output leds configuration
  pinMode(ledPin0, OUTPUT);
  pinMode(ledPin1, OUTPUT);
  pinMode(ledPin2, OUTPUT);
  
  // Starting with leds turned off
  digitalWrite(ledPin0, LOW);
  digitalWrite(ledPin1, LOW);
  digitalWrite(ledPin2, LOW);
}

void loop() {
   // If the monitor shows 1
  if (Serial.read("1")) {
    // Turn on LED 26
    digitalWrite(ledPin0, HIGH);
  } else if (Serial.read("2")){
    // Turn on LED 1
    digitalWrite(ledPin1, HIGH);
  } else if (Serial.read("3")){
    // Turn on LED 2
    digitalWrite(ledPin2, HIGH);
  }

  else (Serial.read("0")){
    // Turn off the 3 LEDS
    digitalWrite(ledPin0, LOW);
    digitalWrite(ledPin1, LOW);
    digitalWrite(ledPin2, LOW);
  }
}
